---
title: "Other Resources in OpenRefine"
teaching: 5
exercises: 5
questions:
- "What other resources are available for working with OpenRefine?"
objectives:
- "Understand that there are many online resources available for more information on OpenRefine."
- "Identify other resources about OpenRefine."
keypoints:
- "Other examples and resources online are good for learning more about OpenRefine."
---

## Using online resources to get help with OpenRefine

OpenRefine is more than a simple data cleaning tool. People are using it for
all sorts of activities. Here are some other resources that might prove useful.

OpenRefine has its own web site with documentation and a book:

* [OpenRefine web site](https://openrefine.org/)
* [OpenRefine User Manual](https://docs.openrefine.org/) (the previous
  [OpenRefine Wiki]( https://github.com/OpenRefine/OpenRefine/wiki) is being phased out)
* [Using OpenRefine](http://www.worldcat.org/title/
using-openrefine-the-essential-openrefine-guide-that-takes-you-from-data-analysis-and-error-
fixing-to-linking-your-dataset-to-the-web/oclc/889271264)
  book by Ruben Verborgh, Max De Wilde and Aniket Sawant
* [OpenRefine history from Wikipedia](https://en.wikipedia.org/wiki/OpenRefine)

In addition, see these other useful resources:

* [Grateful Data](https://github.com/scottythered/gratefuldata/wiki) is a fun
  site with many resources devoted to OpenRefine, including a nice tutorial.
* [Margaret Heller](http://www.gloriousgeneralist.com/) shows how she uses
  OpenRefine for [Measuring and Counting Impact in Repositories](
      http://www.gloriousgeneralist.com/2014/12/
notes-on-measuring-and-calculating-impact-in-institutional-repositories/).

There are more advanced uses of OpenRefine, such as bringing in column or cell
data using web locators (URLs or APIs). The links above can give you a start on
your journey.

> ## Exercise
>
> Visit one of these sites and share what you find with another person.
{: .challenge}

{% include links.md %}
